Page MenuHomePhabricator

Affiliations and country of resident should be visible in Korma's user profiles
Closed, ResolvedPublic

Description

User profiles in korma (i.e. http://korma.wmflabs.org/browser/people.html?id=0f7716aa39718db122bd32fd8cf75ab449928117 ) should include the data available about affiliation and country of residence.

Currently it is between very had and impossible to find where this data is available, and without this it is between very hard and impossible to verify that such data is correct.

Event Timeline

Qgil created this task.Sep 14 2015, 2:05 PM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, Aklapper.

Actually, according to https://www.mediawiki.org/w/index.php?title=Community_metrics&diff=0&oldid=1870477 this data is visible in user profiles, but I cannot see it. Is this a problem of these pages needing a refresh or is there a more serious bug?

hard and impossible to verify that such data is correct.

I support correcting affiliation but country sounds like a huge waste of time to me. 0.31% of the korma profiles have country information, most of those profiles being random IRC login names rarely matched on any "real" (relevant) profiles.

Regarding this task, the example link/identity does not have country information associated (no "country" section in that "profile").
Testcase with country information: http://korma.wmflabs.org/browser/people.html?id=0cd1327f9002cdead85a400301d080731300814d

people.html has a PersonData section at the top, and vizjsapi2.json only defines that section as:

"help": "Show name, email and identities for a person.",

Hence might need code additions.

Qgil added a comment.Oct 23 2015, 3:20 PM

hard and impossible to verify that such data is correct.

I support correcting affiliation but country sounds like a huge waste of time to me. 0.31% of the korma profiles have country information

I meant impossible to verify by the own users. If I want to check whether my own information is correct, where can I check it?

I agree that we don't need to put effort completing country data as we are doing with affiliation data.

I meant impossible to verify by the own users. If I want to check whether my own information is correct, where can I check it?

I agree that we don't need to put effort completing country data as we are doing with affiliation data.

Do we display or even use the country data for anything currently? If not and if it's not displayed anywhere in korma and until T60585 is not resolved and until we agree on what it would be useful for (contributor base diversity feels a tad too generic), I would not mind keeping country data buried and ignored, given the situation.

But yes to displaying affiliation. And if it's trivial to combine displaying affiliation with displaying country, so be it.

Qgil added a comment.Oct 24 2015, 8:14 AM

The (admittedly vague today) use cases for country data are:

  • Helping developers to find each other for potential local meetings.
  • Checking presence of developers in an area being proposed to host i.e. the Wikimedia hackathon, to decide location and get the local developers involved.
Dicortazar set Security to None.

Current profiles have a <div class="PersonData"> box on top with just the name.
Likely that one would need to get extended to also include affiliation and country if not null, as all other boxes are specific to data sources.
Screen estate... well. :-/

Lcanasdiaz closed this task as Resolved.Feb 24 2016, 11:17 PM

Guys, I finally added this feature. While I was working on it I discovered some errors generating the file people.json which is the one used to show names, affiliation and so on, so I think personal data is going to be more reliable now.

Find below the top 5 SCR contributors from the last 30 days

This looks really good! Thank you a lot!

Qgil awarded a token.Feb 25 2016, 11:31 AM